Search.setIndex({"docnames": ["case-extrapolation", "case-outliers", "case-pendulum", "case-spline", "gsl", "index", "lsqfit", "overview", "scipy", "testing"], "filenames": ["case-extrapolation.rst", "case-outliers.rst", "case-pendulum.rst", "case-spline.rst", "gsl.rst", "index.rst", "lsqfit.rst", "overview.rst", "scipy.rst", "testing.rst"], "titles": ["Case Study: Simple Extrapolation", "Case Study: Outliers and Bayesian Integrals", "Case Study: Numerical Analysis inside a Fit", "Case Study: Fitting a Spline", "GSL Routines", "lsqfit Documentation", "<code class=\"xref py py-mod docutils literal notranslate\"><span class=\"pre\">lsqfit</span></code> - Nonlinear Least Squares Fitting", "Overview and Tutorial", "<code class=\"xref py py-mod docutils literal notranslate\"><span class=\"pre\">scipy</span></code> Routines", "Non-Gaussian Behavior; Testing Fits"], "terms": {"gvar": [0, 1, 2, 3, 4, 6, 7, 8, 9], "lsqfit": [0, 1, 2, 3, 4, 7, 8, 9], "nonlinear_fit": [0, 1, 2, 3, 4, 5, 7, 8, 9], "bufferdict": [0, 1, 2, 3, 4, 6, 7, 8, 9], "In": [0, 1, 2, 6, 7, 9], "thi": [0, 1, 2, 3, 4, 6, 7, 8, 9], "we": [0, 1, 2, 3, 6, 7, 9], "examin": [0, 7, 9], "show": [0, 1, 2, 3, 6, 7, 9], "first": [0, 1, 3, 6, 7, 9], "how": [0, 2, 3, 6, 7, 9], "solv": [0, 2, 4], "follow": [0, 1, 3, 4, 6, 7, 8, 9], "togeth": [0, 3, 6, 7, 9], "discuss": [0, 1, 6, 7, 9], "final": [0, 1, 2, 6, 7, 9], "veri": [0, 1, 2, 3, 6, 7], "altern": [0, 7, 9], "us": [0, 1, 2, 3, 4, 6, 7, 8, 9], "describ": [0, 1, 3, 6, 7, 9], "consid": [0, 6, 7], "where": [0, 1, 2, 3, 4, 6, 7, 8, 9], "have": [0, 1, 3, 6, 7, 8, 9], "five": [0, 3, 6, 7], "piec": [0, 6, 7], "uncorrel": [0, 6, 7, 9], "data": [0, 1, 3, 4, 5, 6], "function": [0, 1, 2, 3, 4, 5, 7, 8, 9], "y": [0, 1, 2, 5, 6, 9], "x": [0, 1, 2, 4, 5, 6, 8, 9], "i": [0, 1, 2, 3, 6, 7, 9], "0": [0, 1, 2, 3, 4, 6, 7, 9], "1": [0, 1, 2, 3, 4, 6, 7, 8, 9], "5351": 0, "54": [0, 1, 6, 7, 9], "3": [0, 1, 2, 3, 4, 6, 7, 9], "6762": 0, "67": [0, 1, 2, 6, 7, 9], "5": [0, 1, 2, 3, 4, 6, 7, 8, 9], "9227": 0, "91": [0, 2, 7], "7": [0, 1, 2, 3, 6, 7, 9], "3803": 0, "131": [0, 9], "95": [0, 1, 6, 7, 9], "4": [0, 1, 2, 3, 4, 6, 7, 8, 9], "0145": 0, "399": 0, "know": [0, 1, 3, 6, 7, 9], "ha": [0, 1, 2, 4, 5, 6, 8, 9], "taylor": 0, "expans": [0, 6, 9], "sum_n": [0, 3], "inf": 0, "p": [0, 1, 2, 3, 6, 7, 9], "n": [0, 1, 2, 3, 4, 6, 7, 8, 9], "challeng": [0, 2, 7], "extract": [0, 6, 7, 9], "reliabl": [0, 3, 4, 6, 7], "estim": [0, 1, 2, 6, 7, 9], "from": [0, 1, 2, 3, 4, 6, 7, 8, 9], "fit": [0, 1, 4, 5, 8], "One": [0, 6, 7, 9], "approach": [0, 1, 7, 9], "certainli": [0, 9], "wrong": [0, 7, 9], "power": [0, 7], "seri": [0, 3], "truncat": 0, "after": [0, 1, 4, 6, 7, 9], "term": [0, 1, 3, 6, 7, 9], "ar": [0, 1, 2, 3, 4, 6, 7, 8, 9], "onli": [0, 1, 2, 6, 7, 8], "would": [0, 1, 3, 6, 7, 9], "paramet": [0, 1, 2, 3, 4, 5, 6, 8, 9], "give": [0, 1, 2, 3, 6, 7, 8, 9], "grai": [0, 3, 9], "band": [0, 1, 2, 3], "sigma": [0, 1, 3, 7], "uncertainti": [0, 2, 3, 6, 7, 9], "evalu": [0, 1, 2, 4, 6, 7, 8, 9], "best": [0, 1, 2, 3, 4, 6, 7, 8, 9], "wa": [0, 4, 6, 7, 9], "gener": [0, 2, 3, 4, 6, 7, 9], "code": [0, 1, 2, 3, 4, 6, 7, 9], "import": [0, 1, 2, 3, 6, 7, 9], "numpi": [0, 1, 2, 3, 4, 6, 7, 8, 9], "np": [0, 1, 2, 3, 6, 7, 9], "gv": [0, 1, 2, 3, 6, 7, 9], "arrai": [0, 1, 2, 3, 4, 6, 7, 8, 9], "def": [0, 1, 2, 3, 6, 7, 9], "f": [0, 1, 2, 3, 4, 6, 7, 8, 9], "return": [0, 1, 2, 3, 4, 6, 7, 8, 9], "sum": [0, 3, 6, 7, 9], "pn": [0, 6], "enumer": [0, 3], "p0": [0, 6, 7, 9], "ones": [0, 7], "start": [0, 2, 3, 4, 6, 7, 8], "valu": [0, 1, 2, 3, 4, 6, 7, 8, 9], "chi": [0, 1, 2, 4, 6, 7, 8, 9], "2": [0, 1, 2, 3, 4, 6, 7, 8, 9], "minim": [0, 5, 6, 7], "fcn": [0, 1, 2, 3, 6, 7, 9], "print": [0, 1, 2, 3, 6, 7, 9], "format": [0, 2, 6, 7, 9], "maxlin": [0, 2, 6, 7], "true": [0, 2, 6, 7, 9], "note": [0, 1, 2, 4, 6, 7], "here": [0, 1, 2, 3, 6, 7, 9], "convert": [0, 6], "string": [0, 6], "etc": [0, 7], "s": [0, 1, 2, 3, 4, 6, 7, 8, 9], "run": [0, 1, 3, 6, 7, 9], "output": [0, 1, 2, 3, 5, 6, 7], "least": [0, 1, 2, 3, 4, 5, 7, 8, 9], "squar": [0, 1, 2, 3, 4, 5, 7, 8, 9], "chi2": [0, 1, 2, 3, 6, 7, 9], "dof": [0, 1, 2, 3, 6, 7, 9], "5e": [0, 7], "24": [0, 1, 3, 7, 9], "q": [0, 1, 2, 3, 5, 6, 7], "loggbf": [0, 1, 2, 3, 4, 6, 7, 8, 9], "none": [0, 1, 2, 4, 6, 7, 8, 9], "742": 0, "39": [0, 1, 2, 3, 6, 7, 9], "86": [0, 1, 3, 6, 7, 9], "59": [0, 1, 7, 9], "21": [0, 1, 3, 7, 9], "25": [0, 3, 6, 7, 9], "8": [0, 1, 2, 6, 7, 9], "9": [0, 1, 2, 3, 4, 6, 7, 9], "k": [0, 1, 3, 6, 7, 9], "380": 0, "13": [0, 1, 3, 6, 7, 9], "014": [0, 9], "40": [0, 1, 2, 3, 7, 9], "set": [0, 1, 2, 3, 4, 5, 6, 8, 9], "svdcut": [0, 1, 2, 3, 6, 7, 9], "1e": [0, 1, 2, 3, 4, 6, 7, 8, 9], "12": [0, 1, 2, 3, 6, 7, 9], "tol": [0, 1, 2, 3, 4, 6, 7, 8, 9], "08": [0, 1, 2, 3, 6, 7, 8, 9], "10": [0, 1, 2, 3, 4, 6, 7, 8, 9], "itn": [0, 1, 2, 3, 6, 7, 9], "time": [0, 1, 2, 3, 6, 7, 9], "11": [0, 1, 3, 6, 7, 9], "perfect": 0, "agre": [0, 3, 6, 7, 9], "exactli": [0, 7], "zero": [0, 1, 4, 6, 7, 9], "fairli": [0, 7], "precis": [0, 1, 2, 4, 6, 7, 8, 9], "answer": [0, 6, 7], "74": [0, 2, 6, 7, 9], "curv": [0, 6], "look": [0, 6, 7], "oddli": 0, "stiff": 0, "also": [0, 1, 2, 3, 4, 6, 7, 9], "some": [0, 1, 2, 4, 6, 7, 9], "coeffici": [0, 3, 7], "quit": [0, 1, 6, 7, 9], "larg": [0, 4, 5, 6, 9], "e": [0, 1, 6, 7, 9], "g": [0, 1, 2, 6, 7, 9], "perhap": 0, "unreason": 0, "reason": [0, 1, 6, 7, 9], "neglect": 0, "whether": [0, 6, 7, 9], "extra": [0, 1, 6, 7, 9], "depend": [0, 2, 3, 6, 7], "entir": [0, 3, 6, 7, 9], "expect": [0, 1, 6, 7, 9], "imposs": [0, 7], "without": [0, 6, 7, 9], "idea": [0, 7], "size": [0, 4, 6, 7, 8], "need": [0, 3, 4, 6, 7, 8, 9], "inform": [0, 4, 6, 7, 8, 9], "obvious": [0, 7], "connect": 0, "question": [0, 7], "converg": [0, 4, 6, 7, 8], "model": [0, 1, 3, 6, 7, 9], "let": 0, "assum": [0, 2, 6, 7, 9], "previou": [0, 6, 7, 9], "work": [0, 2, 6, 7, 8], "order": [0, 6, 7, 9], "one": [0, 1, 3, 4, 6, 7, 8, 9], "Then": [0, 6, 7], "keep": [0, 2, 3, 7], "want": [0, 1, 6, 7], "drop": [0, 1, 7], "small": [0, 4, 6, 7, 9], "compar": [0, 6, 7, 9], "error": [0, 1, 2, 3, 4, 5, 6, 8], "so": [0, 1, 2, 3, 6, 7, 9], "possibl": [0, 1, 6, 7, 9], "90": [0, 2, 3, 6, 7, 9], "formula": 0, "howev": [0, 1, 6, 7, 9], "each": [0, 1, 2, 3, 4, 6, 7, 9], "which": [0, 1, 2, 3, 4, 6, 7, 9], "make": [0, 1, 2, 3, 4, 6, 7, 9], "specif": [0, 3, 6], "sai": [0, 1, 6, 7], "thei": [0, 1, 6, 7, 9], "equal": [0, 2, 6, 7, 9], "includ": [0, 2, 4, 6, 7, 8, 9], "priori": [0, 2, 6, 7], "must": [0, 6, 7, 9], "our": [0, 1, 2, 3, 6, 7, 9], "origin": [0, 6, 7, 9], "actual": [0, 6, 7, 9], "introduc": [0, 1, 6, 7, 9], "when": [0, 3, 4, 6, 7, 8, 9], "specifi": [0, 3, 6, 7, 9], "an": [0, 1, 2, 3, 4, 6, 7, 8, 9], "excel": [0, 2, 3, 7], "per": [0, 1, 2, 6, 7, 9], "degre": [0, 1, 2, 6, 7, 9], "freedom": [0, 1, 2, 6, 7, 9], "35": [0, 1, 3, 7, 9], "point": [0, 1, 3, 4, 6, 7, 8, 9], "off": [0, 4, 6, 7], "chart": 0, "within": [0, 6, 7, 9], "its": [0, 1, 3, 6, 7, 9], "88": [0, 1, 7], "45508": 0, "489": 0, "17": [0, 1, 3, 6, 7, 9], "20": [0, 1, 2, 3, 6, 7, 9], "60": [0, 1, 2, 3, 7, 9], "64": [0, 1, 3, 6, 7, 9], "44": [0, 1, 6, 7, 9], "80": [0, 1, 2, 6, 7, 9], "28": [0, 1, 7, 9], "87": [0, 2, 6, 7, 9], "19": [0, 1, 3, 6, 7, 9], "6": [0, 1, 2, 3, 6, 7, 9], "16": [0, 1, 6, 7, 9], "93": [0, 2, 6, 9], "18": [0, 6, 7, 9], "96": [0, 7, 9], "97": [0, 3, 7, 9], "14": [0, 1, 3, 6, 7, 9], "15": [0, 1, 7, 9], "98": [0, 1, 7, 9], "22": [0, 1, 6, 7, 9], "23": [0, 1, 6, 7, 9], "99": [0, 6, 7, 9], "26": [0, 1, 7, 9], "27": [0, 1, 3, 6, 7], "29": [0, 1, 3, 6, 7, 9], "09": [0, 7, 9], "30": [0, 2, 3, 7, 9], "31": [0, 1, 7, 9], "32": [0, 1, 2, 6, 7, 9], "33": [0, 1, 6, 7, 9], "07": [0, 7, 9], "34": [0, 1, 3, 7, 9], "00": [0, 1, 2, 3, 6, 7, 9], "36": [0, 1, 7, 9], "06": [0, 7, 9], "37": [0, 1, 6, 7, 9], "38": [0, 1, 7, 9], "05": [0, 7, 9], "41": [0, 1, 3, 6, 7, 9], "42": [0, 1, 2, 6, 7, 9], "43": [0, 1, 7], "04": [0, 1, 3, 7, 9], "45": [0, 1, 6, 7, 9], "46": [0, 3, 6, 7, 9], "47": [0, 3, 6, 7, 9], "48": [0, 1, 7, 9], "03": [0, 7, 9], "49": [0, 1, 2, 3, 6, 7, 9], "50": [0, 1, 2, 3, 6, 7, 9], "51": [0, 1, 7, 9], "52": [0, 3, 6, 7, 9], "53": [0, 6, 7, 9], "55": [0, 1, 6, 7, 9], "02": [0, 7, 9], "56": [0, 2, 6, 7, 9], "57": [0, 3, 6, 7, 9], "58": [0, 6, 7, 9], "61": [0, 2, 6, 7, 9], "62": [0, 3, 6, 7], "63": [0, 2, 3, 6, 7], "65": [0, 6, 7, 9], "01": [0, 7, 9], "66": [0, 1, 2, 6, 7, 9], "68": [0, 1, 3, 7, 9], "69": [0, 6, 7, 9], "70": [0, 2, 3, 7], "71": [0, 1, 3, 6, 7, 9], "72": [0, 6, 7, 9], "73": [0, 1, 2, 6, 7, 9], "009": 0, "000": [0, 2, 3, 6, 7], "75": [0, 1, 4, 6, 7, 9], "76": [0, 2, 7, 9], "008": [0, 7], "77": [0, 7, 9], "78": [0, 2, 6, 7, 9], "007": 0, "79": [0, 2, 3, 7, 9], "81": [0, 3, 6, 7, 9], "006": 0, "82": [0, 2, 3, 6, 7, 9], "83": [0, 2, 7, 9], "84": [0, 6, 7, 9], "005": [0, 9], "85": [0, 1, 3, 6, 7, 9], "004": [0, 7, 9], "89": [0, 1, 2, 3, 7, 9], "5349": 0, "6768": 0, "9219": 0, "381": 0, "much": [0, 1, 4, 6, 7, 9], "more": [0, 1, 3, 4, 6, 7, 9], "plausibl": [0, 6, 7], "than": [0, 1, 2, 3, 4, 6, 7, 9], "were": [0, 1, 3, 6, 7, 9], "creat": [0, 1, 3, 6, 7, 9], "random": [0, 4, 5, 6, 9], "plu": [0, 6, 7, 9], "correct": [0, 6, 7, 9], "result": [0, 1, 2, 3, 4, 6, 7, 8, 9], "increas": [0, 1, 4, 6, 7, 9], "number": [0, 3, 4, 6, 7, 8, 9], "further": [0, 6, 7, 9], "effect": [0, 1, 4, 6, 7, 9], "sinc": [0, 2, 3, 6, 7, 9], "last": [0, 3, 4, 6, 7, 8], "ad": [0, 1, 6, 7, 9], "impact": [0, 1, 7], "end": [0, 6, 7, 9], "up": [0, 1, 3, 6, 7], "suffici": [0, 6, 7], "add": [0, 1, 3, 6, 7, 9], "new": [0, 1, 6, 7, 9], "about": [0, 1, 2, 4, 6, 7, 8, 9], "can": [0, 1, 3, 4, 6, 7, 8, 9], "test": [0, 5, 6, 7], "re": [0, 6, 9], "do": [0, 2, 3, 6, 7, 9], "broader": 0, "narrow": 0, "039": 0, "0993": 0, "490": 0, "6763": 0, "9226": 0, "somewhat": [0, 3, 6, 7], "larger": [0, 1, 6, 7, 9], "logarithm": [0, 1, 6, 7], "gaussian": [0, 1, 5, 6], "differ": [0, 1, 3, 6, 7, 9], "It": [0, 1, 2, 3, 4, 6, 7, 8, 9], "probabl": [0, 1, 4, 6, 7, 9], "come": [0, 3, 6, 7, 9], "exponenti": [0, 6, 7], "100": [0, 2, 6, 7, 9], "like": [0, 6, 7, 9], "world": [0, 6], "three": [0, 1, 3, 4, 6, 7, 9], "put": [0, 7], "wai": [0, 2, 6, 7, 9], "fluctuat": [0, 6, 7, 9], "consist": [0, 1, 6, 7, 8, 9], "latter": [0, 1, 6, 7, 8], "been": [0, 6, 7, 9], "seen": 0, "argu": 0, "poor": [0, 1, 7], "less": [0, 1, 4, 6, 7, 9], "optim": [0, 6, 7, 8, 9], "0024": 0, "3058": 0, "484": 0, "454": 0, "300": [0, 2, 7, 9], "003": 0, "5344": 0, "6787": 0, "9191": 0, "382": [0, 6], "wide": [0, 7], "rather": [0, 1, 2, 6, 7, 9], "strang": 0, "you": [0, 7], "balloon": 0, "between": [0, 1, 3, 4, 6, 7, 8, 9], "exampl": [0, 1, 6, 7, 9], "over": [0, 1, 3, 6, 7], "accur": [0, 1, 2, 3, 6, 7, 9], "too": [0, 1, 4, 6, 7, 9], "broad": [0, 1, 7, 9], "again": [0, 6, 7, 9], "signal": 0, "479": 0, "mean": [0, 1, 6, 7, 9], "roughli": [0, 9], "million": [0, 9], "exp": [0, 1, 6, 7, 9], "twenti": 0, "That": [0, 7], "suggest": [0, 1, 6, 7, 9], "variat": [0, 5, 6, 7, 9], "lead": [0, 1, 6, 7, 9], "indic": [0, 6, 7], "unnatur": 0, "regular": [0, 2], "absent": 0, "sometim": [0, 6, 7], "width": [0, 6, 7, 9], "maxim": [0, 6, 7], "abov": [0, 1, 6, 7, 9], "similar": [0, 1, 6, 7, 9], "see": [0, 1, 4, 6, 7, 8, 9], "tune": [0, 5, 6], "empir": [0, 5, 6], "criterion": [0, 4, 5, 6, 8], "detail": [0, 4, 6, 7, 8, 9], "respons": 0, "half": 0, "rest": [0, 1], "establish": 0, "budget": [0, 3, 6, 7], "input": [0, 3, 5, 6, 7, 9], "dict": [0, 3, 6, 7, 8, 9], "fmt_errorbudget": [0, 3, 7], "tabl": [0, 1, 7], "partial": [0, 3, 7], "total": [0, 3, 7], "due": [0, 2, 7], "quadratur": [0, 6, 7], "There": [0, 1, 2, 3, 4, 6, 7, 8, 9], "second": [0, 1, 2, 6, 7, 9], "equival": [0, 4, 6, 7, 8], "illustr": [0, 6, 7, 9], "realli": [0, 7], "care": [0, 7], "remov": [0, 6, 7, 9], "befor": [0, 1, 6, 7], "ymod": [0, 7], "should": [0, 6, 7, 9], "constant": [0, 7], "independ": [0, 2, 6, 7], "line": [0, 1, 3, 4, 6, 7, 9], "easili": [0, 1, 7], "modifi": [0, 1, 6, 7, 9], "implement": [0, 1, 6, 7, 8], "all": [0, 2, 3, 6, 7, 9], "priormod": 0, "restrict": [0, 7], "92": [0, 3, 6, 7], "remark": 0, "ident": [0, 7], "machin": [0, 7], "said": [0, 7], "linear": [0, 1, 4, 6, 7, 9], "almost": [0, 3, 6, 7, 9], "nonlinear": [0, 4, 5, 7, 8], "well": [0, 3, 6, 7, 9], "provid": [0, 4, 6, 7, 8, 9], "even": [0, 3, 6, 7], "becaus": [0, 1, 2, 6, 7, 9], "weight": [0, 1, 3, 6, 7], "averag": [0, 1, 6, 7, 9], "replac": [0, 1, 6, 7, 9], "wavg": [0, 6, 7], "list": [0, 1, 6, 7, 9], "central": [0, 7, 9], "below": [0, 6, 7, 9], "everi": [0, 2, 6, 7, 9], "consequ": [0, 7], "posit": [0, 2, 3, 4, 5, 6, 8, 9], "correl": [0, 1, 3, 5, 6, 9], "These": [0, 1, 3, 6, 7, 8, 9], "captur": [0, 7], "automat": [0, 1, 6, 7], "essenti": [0, 7], "564": 0, "analyz": [1, 4, 6, 7, 8, 9], "distort": [1, 9], "deal": [1, 2, 7], "requir": [1, 4, 5, 7, 8, 9], "place": [1, 3, 7, 8], "while": [1, 3, 4, 6, 7, 8, 9], "adapt": [1, 6, 8, 9], "jake": 1, "vanderpla": 1, "hi": 1, "python": [1, 4, 6, 7, 8], "blog": 1, "document": [1, 4, 6, 7, 8, 9], "vega": [1, 6, 9], "modul": [1, 5, 6, 7, 8, 9], "extrapol": [1, 3, 5], "fitfcn": [1, 2, 6], "main": [1, 2, 3, 6, 7, 9], "prior": [1, 2, 3, 5, 6, 9], "make_prior": [1, 7, 9], "c": [1, 3, 4, 6, 7], "__name__": [1, 3, 6, 7, 9], "__main__": [1, 3, 6, 7, 9], "good": [1, 4, 5, 6, 7], "despit": [1, 7], "intercept": [1, 6], "slope": [1, 6, 9], "2e": [1, 7], "117": 1, "149": [1, 6, 7, 9], "261": 1, "evid": [1, 6, 7, 9], "plot": [1, 3, 5, 6, 7], "At": [1, 6, 9], "disagre": 1, "other": [1, 2, 4, 6, 7, 8, 9], "nearbi": 1, "sever": [1, 2, 6, 7, 9], "standard": [1, 6, 7, 9], "deviat": [1, 6, 7, 9], "big": [1, 7], "dash": [1, 3, 6, 7, 9], "particular": [1, 6, 7, 9], "pull": [1, 3, 9], "mani": [1, 6, 7], "hoc": 1, "prescript": 1, "handl": [1, 7], "situat": [1, 4, 7, 9], "explan": [1, 6], "seek": [1, 7], "them": [1, 6, 7, 9], "accordingli": 1, "For": [1, 6, 7, 9], "might": [1, 6, 7, 9], "fraction": 1, "w": 1, "detector": 1, "malfunct": 1, "measur": [1, 2, 7, 9], "usual": [1, 6, 7, 9], "repres": [1, 6, 7, 9], "complic": [1, 7, 9], "densiti": [1, 6, 7, 9], "pdf": [1, 6, 9], "combin": [1, 6, 7], "normal": [1, 6, 7, 9], "anoth": [1, 4, 5, 6, 7, 9], "rel": [1, 3, 4, 6, 7, 8, 9], "assign": [1, 4, 6, 7, 8, 9], "two": [1, 4, 5, 6, 7, 9], "respect": [1, 6, 7, 9], "sort": [1, 7], "incompat": 1, "incorpor": [1, 6, 7], "analysi": [1, 5, 6, 7], "complet": [1, 6, 7, 9], "mod_pdf": [], "modifiedpdf": 1, "expval": 6, "pdfintegr": [1, 6, 9], "neval": [1, 6, 9], "1000": [4, 6, 7, 8, 9], "nitn": [1, 6, 9], "outer": [], "fals": 6, "summari": [1, 6, 7, 9], "cov": [4, 6, 7, 8, 9], "shape": [1, 2, 6, 7], "corr": [1, 7, 9], "str": [1, 4, 6, 8], "evalcorr": [1, 7, 9], "wmean": [], "w2mean": [], "wsdev": [], "bay": [1, 3, 5, 6, 9], "factor": [1, 3, 4, 5, 6, 9], "logbf": [1, 6, 9], "log": [1, 6, 7], "pdfnorm": [1, 6], "gw": 1, "uniform": [1, 7, 9], "class": [1, 2, 4, 5, 7, 8], "account": [1, 6, 7], "failur": 1, "__init__": [1, 2, 6], "self": [1, 2, 6], "__call__": [1, 2], "y_fx": [], "data_pdf1": [], "gaussian_pdf": [], "data_pdf2": [], "prior_pdf": 1, "buf": [], "len": [6, 7, 9], "prod": [1, 7, 9], "staticmethod": [], "xmean": [], "xvar": [], "var": 1, "sqrt": [1, 6, 7, 9], "pi": 1, "As": [1, 7, 9], "product": [1, 6, 9], "distribut": [1, 6, 7, 9], "nomin": 1, "ten": 6, "determin": [1, 3, 6, 7, 9], "arbitrari": [1, 7], "variabl": [1, 2, 5, 6, 9], "instanc": 1, "uniformli": [1, 7], "across": [1, 7], "interv": [1, 2, 3, 7], "plai": 1, "role": 1, "initi": [1, 2, 3, 4, 6], "map": [1, 6], "onto": [1, 6, 7, 9], "dictionari": [1, 2, 3, 6, 7, 9], "correspond": [1, 6, 7, 9], "avail": [1, 4, 6, 7, 8], "call": [1, 3, 4, 6, 7, 9], "allow": [1, 2, 4, 6, 7, 9], "now": [4, 7], "turn": [4, 6, 7], "contain": [1, 2, 6, 7], "entri": [1, 6, 7], "calcul": [1, 2, 6, 7, 9], "matric": [6, 7], "8e": 7, "821": [], "849": [], "835": 7, "855": [], "842": [], "853": [], "845": [], "731": [], "822": 7, "827": [], "823": [], "734": [], "810": 2, "752": [], "803": [7, 9], "816": [], "804": [], "740": [], "798": [], "94": [1, 3, 6, 7, 9], "843": [], "802": 2, "729": [], "796": [], "746": [], "792": [], "712": [], "786": [], "766": [], "785": [], "623": [], "8981073": [], "4137": [], "iter": [1, 4, 6, 8, 9], "algorithm": [1, 4, 6, 7, 8, 9], "prefer": [1, 6, 7], "better": [1, 5, 7, 9], "suit": 1, "red": [1, 2, 6, 9], "region": [1, 4, 6, 8], "matrix": [1, 4, 6, 7, 8, 9], "anti": 1, "guess": 1, "rate": 1, "fail": [1, 6], "quarter": 1, "slightli": [1, 2, 7], "chang": [1, 4, 6, 7, 8, 9], "still": [1, 9], "take": [1, 6, 7], "sec": 6, "2020": 1, "laptop": [1, 7], "616": [], "89773341": [], "125": [7, 9], "slighli": [], "lower": [1, 7], "20x": [], "consider": [1, 7], "difficult": 1, "obtain": [1, 6, 7, 9], "current": [1, 4, 6, 7, 8], "adequ": 1, "awai": [1, 3, 6, 7], "Not": 1, "surprisingli": [1, 6], "unambigu": 1, "pretti": [1, 9], "obviou": [1, 7], "tempt": 1, "simpli": [1, 7], "clearli": [1, 7, 9], "understand": 1, "why": [1, 7], "occur": [1, 6], "quantifi": 1, "closer": [1, 9], "bit": 1, "high": [1, 9], "hand": [1, 6, 7], "what": [1, 3, 6, 7, 9], "differenti": [2, 7], "equat": [2, 4, 9], "od": 2, "versu": 2, "A": [2, 3, 5, 6, 7, 9], "releas": 2, "angl": 2, "571": [1, 2], "radian": 2, "angular": 2, "approxim": [2, 3, 6, 7, 9], "tenth": 2, "t": [2, 4, 6, 7, 8, 9], "theta": 2, "477": 2, "791": 2, "046": 2, "852": 2, "523": [2, 7, 9], "647": 2, "216": [2, 7, 9], "185": 2, "832": [2, 7], "satisfi": [2, 6], "d": [1, 2, 4, 6, 8, 9], "dt": [2, 6], "l": [2, 6], "sin": [2, 7], "acceler": [2, 4, 7], "graviti": 2, "length": [2, 4, 6, 7, 8], "improv": [2, 3, 4, 6, 7, 9], "design": [1, 2, 6, 7], "object": [2, 5, 7, 8, 9], "integr": [2, 5, 6, 7], "motion": 2, "g_l": 2, "odeint": 2, "deriv": [2, 6, 7], "theta0": 2, "t_arrai": 2, "veloc": [2, 4], "t0": 2, "y0": 2, "dtheta": 2, "solut": [2, 4, 5, 7], "discard": [2, 6, 9], "d2theta": 2, "dt2": 2, "dtheta_dt": 2, "toler": [2, 4, 6, 8], "given": [2, 3, 4, 6, 7, 9], "propag": [2, 5], "through": [2, 6, 7, 9], "either": [2, 4, 6, 7, 8], "treat": 2, "individu": [2, 6, 7], "whose": [2, 4, 6, 7, 8, 9], "becom": [2, 6, 7, 9], "uncertain": [2, 6, 7], "therefor": [2, 6, 7, 9], "__future__": [2, 7], "print_funct": [2, 7], "python2": 2, "collect": [2, 6, 7, 9], "exhibit": 2, "experiment": [2, 3, 6, 7], "ordereddict": 2, "vari": [2, 4, 6, 7, 8], "both": [2, 6, 7, 9], "same": [2, 6, 7, 9], "figur": [2, 3, 7], "bar": [2, 7, 9], "359": 2, "595": 2, "0960": [2, 7], "2014": [2, 6], "200": 2, "3003": 2, "3982": 2, "400": 2, "5043": 2, "500": [2, 6, 7], "600": 2, "7079": 2, "700": 2, "7958": 2, "800": 2, "9039": 2, "900": 2, "9929": 2, "kei": [2, 6, 7, 9], "412": 2, "044": [2, 7, 9], "867": 2, "446": 2, "594": 2, "323": 2, "776": 2, "158": [2, 7], "894": 2, "noisi": [3, 7, 9], "underli": [3, 6, 7, 9], "form": [3, 6, 7], "unknown": [3, 5], "goal": [3, 7, 9], "m": [3, 4, 6, 7], "c_n": 3, "integ": 3, "desir": [3, 4, 6, 7, 8], "varieti": [3, 6, 7], "b": [1, 3, 6, 7, 9], "statist": [3, 5, 6, 9], "dump": [3, 6, 7], "file": [3, 6, 7], "read": [3, 6, 7], "parameter": 3, "cubic": 3, "knot": 3, "adjac": 3, "pair": 3, "polynomi": 3, "tailor": 3, "stitch": 3, "smooth": [3, 7], "next": [3, 6, 7], "kind": [3, 7], "aris": [3, 6, 7, 9], "analys": [3, 6, 9], "numer": [3, 5, 6, 7, 9], "simul": [3, 5, 6, 7], "qcd": [3, 6, 7, 9], "grid": 3, "space": [3, 6, 7, 9], "cspline": 3, "param": [1, 3, 6, 9], "collect_data": 3, "make_fcn_prior": 3, "mknot": 3, "fknot": 3, "updat": [3, 6], "fmt_valu": [3, 7], "ainv": 3, "am": 3, "ci": 3, "datafil": 3, "load": [3, 6, 7], "store": [3, 6, 7], "appropri": [3, 6, 7], "locat": [3, 4, 8], "addit": [3, 6, 7, 9], "coupl": 3, "until": [3, 6, 7], "stop": [3, 4, 6, 7, 8], "go": [3, 6, 7], "down": [3, 4, 6, 9], "script": [3, 7], "2202": 3, "construct": [3, 6, 7], "sought": 3, "qualiti": [3, 6, 7, 9], "represent": 3, "critic": 3, "lowest": 3, "highest": 3, "interpol": 3, "interior": 3, "toward": [3, 9], "smaller": [3, 4, 6, 7, 8, 9], "base": [3, 6], "inspect": [3, 4, 7, 8], "unconstrain": 3, "fitter": [3, 5, 6, 9], "choic": [3, 6, 7, 8], "four": [3, 6, 7, 9], "margin": [3, 5, 6], "decreas": [3, 4, 7], "significantli": [3, 6, 7, 9], "unchang": [3, 6, 7, 9], "few": [1, 3, 6, 7, 9], "littl": [3, 7], "black": [3, 6], "dot": [3, 9], "shown": [3, 6, 7], "color": 3, "overal": [3, 7], "accuraci": [3, 6, 9], "artifici": [3, 9], "real": [3, 9], "exact": [3, 6, 7, 9], "librari": [4, 6, 7], "instal": [4, 6, 7, 8], "open": [4, 8], "sourc": [4, 7, 8], "gnu": [4, 6, 7], "scientif": [4, 6, 7], "gsl_multifit": [4, 6, 7], "maxit": [4, 6, 7, 8], "alg": [4, 6, 7, 8], "lm": [4, 7, 8], "solver": [4, 6, 7], "qr": 4, "scaler": [4, 7], "factor_up": 4, "factor_down": 4, "avmax": 4, "multidimension": [4, 8], "constructor": [4, 6, 8], "doe": [4, 6, 7, 8], "sum_i": [4, 8], "f_i": [4, 8], "vector": [4, 8], "wrapper": [4, 8], "multifit": 4, "x0": [4, 8], "float": [4, 6, 8], "int": [4, 6, 8, 9], "The": [4, 5, 6, 7, 8, 9], "tupl": [4, 6, 8], "xtol": [4, 6, 8], "gtol": [4, 6, 8], "ftol": [4, 6, 8], "caus": [4, 6, 7, 8, 9], "search": [4, 5, 6, 7, 8], "minimum": [4, 6, 7, 8, 9], "ani": [4, 6, 7, 8, 9], "gradient": [4, 6, 8], "statisfi": [4, 8], "definit": [4, 6, 7, 8], "condit": [4, 6, 7, 8], "typic": [4, 6, 7, 8, 9], "digit": [4, 6, 7, 8], "ep": [4, 6, 7, 8], "eps1": [4, 8], "eps2": [4, 8], "equivl": [4, 8], "default": [4, 5, 6, 8, 9], "option": [4, 6, 7, 8], "disabl": [4, 6], "version": [4, 6, 7, 9], "maximum": [4, 6, 7, 8], "support": [4, 6, 7], "levenberg": [4, 8], "marquardt": [4, 8], "lmaccel": [4, 7], "geodes": 4, "faster": [1, 4, 5, 6, 9], "stabl": 4, "stabil": [4, 6, 7], "control": [4, 6], "damp": 4, "subspace2d": [4, 6, 7], "2d": 4, "dogleg": [4, 7, 8], "substanti": [1, 4, 7], "ddogleg": 4, "doubl": [4, 7], "scale": [4, 6, 7], "method": [4, 6, 7, 8, 9], "rescal": [4, 7], "problem": [4, 5, 6, 7, 8, 9], "invari": 4, "mai": [4, 6, 7], "effici": 4, "certain": 4, "step": [4, 6, 7, 8], "decomposit": 4, "jacobian": [4, 7], "choleski": [4, 6, 7], "singular": [4, 6, 7], "svd": [4, 5, 6, 9], "most": [4, 6, 7, 8, 9], "robust": [4, 6, 7], "slowest": 4, "accept": 4, "destabl": 4, "slow": 4, "reject": 4, "divid": [4, 6, 9], "impli": [4, 6, 7, 8, 9], "attribut": [4, 6, 8], "recent": [4, 8], "comput": [4, 6, 7, 8], "covari": [1, 4, 6, 7, 8, 9], "descript": [4, 8, 9], "short": [4, 8], "intern": [4, 7, 8], "j": [4, 6, 8], "j_ij": [4, 8], "df_i": [4, 8], "dx": [4, 8], "nit": [4, 6, 8], "find": [4, 6, 7, 8], "stopping_criterion": [4, 6, 8], "didn": [4, 6, 8], "success": [4, 8], "messag": [4, 6, 7, 8], "otherwis": [4, 6, 7, 8, 9], "gsl_v1_multifit": [4, 6, 7], "lmsder": [4, 7], "v1": 4, "gsl_v1_": 4, "older": 4, "nlin": 4, "h": 4, "packag": [4, 6, 7, 9], "earlier": [4, 6, 7], "legaci": 4, "lmder": [4, 7], "unscal": 4, "With": [4, 7], "lmniel": 4, "callabl": [4, 6], "df_ij": 4, "intermedi": [4, 8], "empbayes_fit": [4, 6, 7, 8], "gsl_multiminex": [4, 6], "nmsimplex2": [4, 8], "multiminex": 4, "user": [4, 6, 8], "suppli": [4, 8], "multimin": 4, "compon": [4, 6, 7, 9], "nmsimplex": 4, "nelder": 4, "mead": 4, "simplex": 4, "nmsimplex2rand": 4, "shift": [4, 7], "content": 5, "overview": 5, "tutori": [5, 6, 9], "introduct": 5, "basic": 5, "chain": [5, 6], "No": 5, "cut": [5, 6, 9], "roundoff": [5, 6], "inadequ": [5, 9], "non": [5, 6], "debug": [5, 6], "troubleshoot": 5, "behavior": [5, 6, 7], "bootstrap": [5, 6, 7], "bayesian": [5, 6, 7], "residu": [5, 6, 7], "case": [5, 6, 7, 9], "studi": [5, 7, 9], "simpl": [5, 6, 7, 9], "bad": [5, 9], "insid": [5, 7], "pendulum": 5, "dynam": 5, "type": [5, 6, 7, 8], "spline": 5, "outlier": [5, 7, 9], "multifitt": 5, "refer": 5, "gsl": [5, 6, 7, 8], "routin": [5, 6, 7], "scipi": [5, 6, 7], "index": [1, 5, 6, 9], "page": 5, "tool": [6, 7], "Its": 6, "dimens": 6, "structur": 6, "omit": [6, 7], "adjust": [6, 7], "sequenc": 6, "recov": [6, 7], "those": [6, 7, 9], "statement": [6, 7], "could": [6, 7, 9], "instead": [6, 7], "flexibl": [6, 7], "conveni": [6, 7], "simpler": 6, "By": [6, 7, 9], "express": [6, 7, 9], "directli": [6, 7, 9], "matter": 6, "add_distribut": [6, 7], "extend": 6, "appendix": 6, "paper": 6, "http": 6, "arxiv": 6, "org": 6, "ab": 6, "1406": 6, "2279": 6, "conceptu": 6, "background": 6, "techniqu": [6, 9], "especi": [6, 9], "nois": [6, 7, 9], "fitterarg": 6, "cpu": 6, "carri": 6, "accord": [6, 7], "pass": [6, 7], "encod": [6, 7], "being": [6, 7, 9], "layout": [6, 7], "upon": [6, 7], "ymean": [1, 7], "ycov": 7, "ysdev": [], "third": 7, "fourth": 7, "just": [6, 7], "singl": [6, 7, 9], "infer": [6, 7], "defin": [6, 7], "element": [6, 7, 9], "miss": 6, "fill": 6, "If": [6, 7], "taken": 6, "name": [6, 7], "attempt": 6, "written": 6, "out": [1, 6, 7], "prime": 6, "futur": 6, "drawn": [6, 7, 9], "explicitli": [6, 7], "appear": [6, 7], "linearli": 6, "reexpress": 6, "project": [6, 7, 9], "fewer": 6, "longer": [6, 7], "applic": [6, 7], "experi": [6, 7], "reconstruct": 6, "featur": [6, 7], "interfac": [6, 7], "regul": [6, 7], "cutoff": [6, 7], "ignor": [6, 7, 8, 9], "nonzero": 6, "bool": [6, 8], "shorthand": 6, "udata": [6, 7], "instruct": 6, "speed": [6, 7], "particularli": [6, 7], "amount": [6, 7, 9], "potenti": [6, 7], "valuabl": 6, "scipy_least_squar": [6, 7, 8], "extens": 6, "bound": [6, 8], "delta": [6, 9], "delta1": 6, "delta2": 6, "check": [6, 7, 9], "argument": [6, 7, 8], "offer": [6, 7], "minu": [6, 7, 9], "fitter_result": 6, "randomli": [6, 7, 9], "sampl": [6, 7, 9], "quantiti": [6, 7], "largest": [6, 7, 9], "ratio": [6, 7], "signific": [6, 7], "ndarrai": 6, "multi": [6, 7, 9], "dimension": [6, 7, 9], "terminolog": 6, "posterior": 6, "pmean": [6, 7, 9], "psdev": 6, "palt": 6, "except": [6, 7], "retain": 6, "unlik": [6, 9], "cannot": 6, "invert": [6, 7], "refit": 6, "advis": 6, "incomplet": 6, "chanc": 6, "probabilist": 6, "intrepret": 6, "unreli": [6, 9], "unusu": [6, 7], "eigenvector": [6, 7, 9], "contribut": [6, 7, 9], "relat": [6, 7], "unabl": 6, "alreadi": 6, "svdn": 6, "eigenmod": [6, 7], "delet": 6, "field": 6, "vs": 6, "anyth": [6, 7], "obj": 6, "nblock": 6, "block": [6, 7], "diagon": [6, 7], "sub": [6, 7], "global": 6, "via": 6, "later": [6, 7], "pstyle": 6, "v": 6, "tabul": [6, 7], "ie": 6, "termin": 6, "mark": 6, "asterisk": [6, 7], "keyword": [6, 7, 9], "sign": [6, 7], "discrep": 6, "style": 6, "vv": 6, "verbos": 6, "dchi2": 6, "paramt": 6, "proport": [6, 7, 9], "lognorm": 6, "theorem": [6, 7], "against": [6, 9], "warmup": 6, "10_000": 6, "nproc": 6, "sg": 6, "sg2": 6, "sg_sdev": 6, "sdev": [6, 7, 9], "mont": [6, 9], "carlo": [6, 9], "2027": 6, "954": [6, 9], "9708": 6, "9622": 6, "964": 6, "9627": 6, "9620": 6, "9626": 6, "9629": 6, "957": 6, "9619": 6, "9367": 6, "9590": 6, "9592": 6, "9591": 6, "952": 6, "9584": 6, "4652": 6, "5073": 6, "4854": 6, "5293": 6, "5420": [6, 7], "1505": 6, "implicit": [6, 7], "separ": [6, 7], "simulated_fit_it": [6, 9], "pexact": [6, 9], "add_priornois": 6, "karg": 6, "copi": [6, 7, 9], "usag": [6, 7], "sfit": [6, 9], "verifi": [6, 7], "get": [6, 7], "sens": [6, 7], "bias": 6, "infin": [6, 7], "overrid": 6, "simulated_data_it": 6, "ysim": 6, "priorsim": 6, "simulate_data_it": 6, "fitsim": 6, "protocol": [6, 9], "loop": [6, 7], "fast": [6, 7], "bootstrapped_fit_it": [6, 9], "datalist": 6, "involv": [6, 7], "characterist": [6, 9], "repeat": [6, 7, 9], "limit": [6, 7], "glist": 6, "bsfit": [6, 9], "append": [6, 9], "everyth": 6, "check_roundoff": [6, 7], "rtol": 6, "atol": 6, "absolut": 6, "warn": [6, 7], "qqplot_residu": [6, 9], "qq": 6, "center": [6, 9], "straight": [6, 7, 9], "along": 6, "unit": [6, 9], "displai": 6, "solid": [6, 7, 9], "fall": [6, 9], "bia": 6, "matplotlib": [6, 7], "plotter": 6, "pyplot": [6, 7], "plot_residu": 6, "static": 6, "clear": [6, 7], "old_default": 6, "restor": [6, 7], "old": [6, 7], "containint": 6, "z0": [6, 7], "fitarg": [6, 7], "minarg": 6, "z": [6, 7], "redon": 6, "tri": [6, 7], "came": [6, 7], "4422": [6, 7], "2929": [6, 7], "4798": [6, 7], "1725": [6, 7], "dy": [6, 7], "newi": [6, 7], "don": [6, 7], "4834": [6, 7], "9979": 6, "442": [6, 7], "481": [6, 7], "293": [6, 7], "283": [6, 7], "4731": [6, 7], "1744": [6, 7], "arg": 6, "probabilitii": 6, "sensibl": 6, "steer": [6, 7], "select": [6, 7], "implaus": [6, 7], "subsequ": [6, 7], "unless": [6, 7], "scipy_multiminex": [6, 8], "xavg": 6, "g1": 6, "g2": 6, "gn": 6, "gi": 6, "overlap": 6, "costli": [6, 7], "di": 6, "sequenti": 6, "samp": 6, "inconsist": [6, 9], "made": [6, 7, 9], "gammaq": 6, "gamma": 6, "int_x": 6, "infti": 6, "ndof": 6, "probabilti": 6, "framework": 6, "build": [6, 7], "system": 6, "multipl": 6, "custom": 6, "multifittermodel": 6, "encapsul": [6, 7], "recip": 6, "assembl": [6, 7], "broken": 6, "manag": 6, "aggreg": 6, "develop": [6, 7], "corrfitt": 6, "quantum": [6, 7], "theori": [6, 7], "corr2": 6, "corr3": 6, "mixtur": 6, "hundr": [6, 9], "share": 6, "datatag": 6, "super": 6, "try": [6, 7], "keyerror": 6, "buildprior": 6, "mopt": 6, "newprior": 6, "builddata": 6, "imagin": [6, 7], "d1": 6, "154": [6, 9], "107": 6, "042": 6, "978": 6, "d2": 6, "692": 6, "196": 6, "657": 6, "189": 6, "d3": 6, "030": 6, "027": 6, "d4": 6, "002": 6, "197": [6, 9], "627": [6, 7], "To": [4, 6, 7, 9], "common": [6, 7], "s1": 6, "s2": 6, "s3": 6, "s4": 6, "793": 6, "2012": 6, "9485": 6, "4927": 6, "0847": 6, "2001": 6, "configur": [6, 7], "move": [6, 7], "subtract": [6, 7], "reduc": [6, 7, 9], "simplifi": [6, 7], "continu": [6, 9], "std": 6, "dev": 6, "917": 6, "2009": 6, "confirm": [6, 9], "simultan": [6, 9], "fed": 6, "chained_lsqfit": 6, "formatal": 6, "0969": 6, "213": [6, 9], "9432": 6, "3792": 6, "206": 6, "4904": 6, "3767": 6, "1995": [6, 7], "0840": 6, "9402": 6, "break": [6, 7], "chunk": 6, "organ": 6, "fashion": [6, 7], "data_marg": 6, "prior_marg": 6, "strip": 6, "lose": 6, "wavg_al": 6, "slower": [6, 7], "lost": 6, "fitnam": 6, "access": [6, 7, 8], "report": [6, 7], "unwieldi": 6, "lot": [6, 7], "dname": 6, "wavg_karg": 6, "parallel": 6, "pdata": 6, "show_plot": 6, "save": [6, 7], "view": 6, "process": [6, 7, 9], "process_data": 6, "process_dataset": 6, "label": [1, 6, 7, 9], "filenam": 6, "write": [6, 7], "temporarili": 6, "sn": 6, "m1": 6, "m2": 6, "m3": 6, "close": [6, 7, 9], "p1": [6, 7, 9], "p2": 6, "p3": 6, "composit": 6, "reset": [6, 7], "appli": [6, 7], "chained_nonlinear_fit": 6, "chained_fit": 6, "link": 6, "built": [6, 7], "tag": 6, "nline": 6, "group": [6, 7], "oldkarg": 6, "chained_lsqft": 6, "dataset": [6, 7, 9], "builddataset": 6, "avg_data": [6, 7, 9], "fitdata": 6, "fitval": 6, "press": 6, "program": [6, 7], "zoom": 6, "pan": 6, "window": 6, "diff": [6, 9], "vertic": 6, "axi": [1, 6, 9], "loglog": 6, "ax": 6, "cycl": 6, "r": 6, "fmt": [6, 7], "suffix": 6, "flatten_model": 6, "1d": 6, "disctinct": 6, "overwritten": 6, "ncg": 6, "eg": 6, "hashabl": 6, "coars": 6, "grain": 6, "bin": [6, 9], "loss": [6, 7, 8], "highli": [6, 7], "identifi": [6, 7], "part": [6, 7, 8, 9], "relev": [6, 9], "mprior": 6, "model_kei": 6, "slight": 6, "modif": 6, "get_dictkei": 6, "facilit": [6, 7], "lattic": [6, 9], "found": 6, "articl": 6, "lepag": 6, "et": 6, "al": 6, "nucl": 6, "phy": 6, "proc": 6, "suppl": 6, "106": 6, "2002": 6, "hep": 6, "lat": 6, "0110175": 6, "bouchard": 6, "rev": 6, "d90": 6, "054506": 6, "mcneil": 6, "d82": 6, "034512": 6, "2010": 6, "1004": 6, "4285": 6, "hornbostel": 6, "d85": 6, "031504": 6, "1111": 6, "1363": 6, "dowdal": 6, "d100": 6, "2019": 6, "094508": 6, "1907": 6, "01025": 6, "reli": 6, "heavili": 6, "arbitrarili": 7, "heavi": 7, "creation": 7, "technolog": 7, "themselv": 7, "therebi": 7, "avoid": 7, "enabl": 7, "strategi": [7, 9], "distinguish": 7, "data1": 7, "376": 7, "010": 7, "0047": 7, "056": [7, 9], "data2": 7, "329": 7, "582": 7, "0067": 7, "0136": 7, "thu": 7, "068556546004": 7, "evalcov": 7, "0685565": 7, "root": [7, 9], "65538": 7, "253": 7, "449": 7, "347": 7, "612": 7, "bulk": 7, "agreement": 7, "constraint": [7, 9], "tighter": 7, "tight": 7, "neither": 7, "often": [6, 7, 9], "back": 7, "thing": [7, 9], "worth": 7, "manipul": 7, "far": 7, "greater": [7, 9], "altogeth": 7, "great": 7, "arithmet": 7, "oper": 7, "track": 7, "assess": 7, "variou": [7, 9], "earli": 7, "stage": [6, 7], "intellig": 7, "onc": [6, 7], "character": [7, 9], "switch": 7, "knew": 7, "guarante": 7, "demonstr": 7, "learn": 7, "section": [7, 9], "focus": 7, "full": [7, 9], "outermost": 7, "parenthesi": 7, "your": [4, 7], "distinct": 7, "around": [6, 7, 9], "dtype": 7, "compact": 7, "notat": 7, "234": [7, 9], "022": 7, "parenthes": 7, "rightmost": 7, "quot": 7, "010001": 7, "100x": 7, "0000": 7, "strongli": 7, "99995": 7, "pure": 7, "rule": 7, "preserv": 7, "001": 7, "cosh": 7, "01388174": 7, "01927153": 7, "co": [6, 7], "compil": 7, "low": [7, 9], "level": 7, "languag": 7, "fact": 7, "accomplish": 7, "primari": 7, "implicitli": [7, 9], "itself": 7, "trivial": 7, "easi": [7, 9], "decompos": 7, "cours": 7, "hold": 7, "outputfil": 7, "intact": 7, "128": 7, "pickl": 7, "properli": 7, "archiv": 7, "nest": 7, "fitpfil": 7, "fitfil": 7, "imprecis": 7, "knowledg": 7, "beyond": 7, "impress": [7, 9], "realist": 7, "familiar": 7, "chromodynam": 7, "make_data": [7, 9], "5022829417e": 7, "8170543788e": 7, "3618847843e": 7, "9872730036e": 7, "2128831367e": 7, "9256559129e": 7, "1263644483e": 7, "3415253536e": 7, "1537808808e": 7, "8161794696e": 7, "6237356558e": 7, "4921344875e": 7, "1492842463e": 7, "5353714617e": 7, "3137593878e": 7, "3465498888e": 7, "6193461816e": 7, "4921610813e": 7, "1633547703e": 7, "5481570082e": 7, "0540958082e": 7, "8059692534e": 7, "0985581496e": 7, "1710468826e": 7, "5572230776e": 7, "0608148954e": 7, "4036448945e": 7, "6008881270e": 7, "3146405310e": 7, "0632830128e": 7, "4264622187e": 7, "8443245513e": 7, "2087725578e": 7, "5986403288e": 7, "8496194125e": 7, "7369196122e": 7, "3576009069e": 7, "3914810594e": 7, "2498644263e": 7, "7551104112e": 7, "0244738582e": 7, "0403917951e": 7, "8976295583e": 7, "5672355835e": 7, "eight": 7, "strong": [7, 9], "004502": 7, "001817": 7, "0007362": 7, "342": 7, "99853801": 7, "99397698": 7, "83814041": 7, "99843828": 7, "86234032": 7, "88605708": 7, "decai": 7, "expon": 7, "ai": 7, "ei": 7, "zip": 7, "principl": 7, "infinit": 7, "practic": 7, "finit": 7, "alwai": [7, 9], "done": 7, "nexp": 7, "rang": [7, 9], "habitu": 7, "unnecessari": 7, "readi": 7, "opt": 7, "e1": 7, "e0": 7, "e2": 7, "a1": 7, "a0": 7, "a2": 7, "sure": [4, 7], "produc": [7, 9], "reproduc": 7, "4837": 7, "00735": 7, "1372": 7, "024": 7, "111": 7, "4024": 7, "4471": 7, "90104": 7, "8282": 7, "116": 7, "4019": 7, "406": 7, "90039": 7, "8026": 7, "0020": 7, "011": [7, 9], "notic": [7, 9], "bracket": 7, "right": [1, 7, 9], "uncommon": 7, "402": 7, "9004": 7, "govern": 7, "tell": [7, 9], "isn": 7, "enough": 7, "remain": 7, "inde": 7, "had": [7, 9], "exce": 7, "eventu": 7, "rewrit": 7, "gfit": 7, "although": [7, 9], "irrespect": 7, "likelihood": 7, "grow": 7, "dramat": 7, "implic": 7, "modest": 7, "36353303": 7, "column": [7, 9], "row": 7, "mostli": 7, "breakdown": 7, "doesn": 7, "004506": 7, "001819": 7, "0007373": 7, "0002987": 7, "0002993": 7, "0001213": 7, "0001216": 7, "00004926": 7, "00004941": 7, "160": 7, "348": 7, "magnitud": 7, "present": [7, 9], "outsid": 7, "plt": 7, "xlim": 7, "ylim": 7, "xlabel": [7, 9], "ylabel": 7, "errorbar": 7, "yerr": 7, "ob": 7, "theoret": 7, "Or": 7, "exploit": 7, "amplitud": 7, "rerun": 7, "newfit": 7, "4648": 7, "4018": 7, "90033": 7, "7998": 7, "9991": 7, "000000": 7, "seem": 7, "odd": 7, "mention": 7, "surpris": 7, "cumul": 7, "new_data": 7, "new_p": 7, "2f": [7, 9], "long": 7, "dens": 7, "batch": [1, 6, 7, 9], "disk": 7, "read_data": 7, "9999": 7, "nstride": 7, "nfit": 7, "fit_tim": 7, "200080008001": 7, "836": 7, "686": 7, "990099009901": 7, "494": 7, "3939": 7, "715": 7, "544": 7, "491": 7, "492": 7, "3969": 7, "3965": 7, "7084": 7, "7095": 7, "10000": 7, "548": 7, "488": 7, "39988": 7, "39982": 7, "7002": 7, "7003": 7, "steadili": 7, "hardli": 7, "lack": 7, "ahead": [7, 9], "expens": 7, "exist": 7, "straightforward": 7, "concern": [7, 9], "dispens": 7, "127": [7, 9], "202": 7, "203": 7, "b0": 7, "b1": 7, "b2": 7, "b3": 7, "156": [7, 9], "238": 7, "797": 7, "167": [7, 9], "0833": [7, 9], "0714": [7, 9], "0625": [7, 9], "198": [7, 9], "184": [7, 9], "099": [7, 9], "142": [7, 9], "108": [7, 9], "065": [7, 9], "041": [7, 9], "relationship": 7, "129": [7, 9], "9570678206095675": [], "surviv": 7, "036": 7, "211": [7, 9], "5928698851782287": [], "3300": 7, "help": 7, "valid": [6, 7, 9], "oppos": 7, "occasion": 7, "known": 7, "pose": 7, "usefulli": 7, "physic": 7, "2740471001620033": 7, "2056894154005132": 7, "158389402324004": 7, "1241967645280511": 7, "0986901274726867": 7, "0792134506060024": 7, "0640743982173861": 7, "052143504367789": 7, "0426383022456816": 7, "nine": 7, "de": 7, "cumsum": 7, "left": [7, 9], "remaind": 7, "fit_prior": 7, "ymod_prior": 7, "absorb": 7, "temr": 7, "4067": 7, "9030": 7, "1648": 7, "141": 7, "13760": 7, "118": [7, 9], "11487": 7, "09589": 7, "082": 7, "08004": 7, "0686": 7, "06682": 7, "0572": 7, "05578": 7, "0476": 7, "04656": 7, "0397": 7, "03887": 7, "799": 7, "4015": 7, "435": 7, "9007": 7, "830": 7, "235": 7, "2330": 7, "186": 7, "1847": 7, "1484": 7, "1474": 7, "1190": 7, "11833": 7, "09552": 7, "0778": 7, "07749": 7, "06331": 7, "06313": 7, "05173": 7, "051624": 7, "04242": 7, "042351": 7, "077": [7, 9], "4011": 7, "426": 7, "468": 7, "90045": 7, "260": 7, "2593": 7, "1998": 7, "1559": 7, "15576": 7, "12316": 7, "12305": 7, "09824": 7, "09818": 7, "07902": 7, "078988": 7, "063990": 7, "063973": 7, "052106": 7, "052098": 7, "042622": 7, "0426176": 7, "212": 7, "4009": 7, "424": 7, "469": 7, "90036": 7, "819": 7, "2687": 7, "26843": 7, "2039": 7, "20376": 7, "15778": 7, "15771": 7, "12399": 7, "123955": 7, "098616": 7, "098603": 7, "079187": 7, "079182": 7, "0640650": 7, "0640627": 7, "0521401": 7, "0521392": 7, "0426371": 7, "04263670": 7, "140": [7, 9], "2721": 7, "27196": 7, "20516": 7, "20510": 7, "15824": 7, "158219": 7, "124154": 7, "124147": 7, "098678": 7, "0986752": 7, "0792099": 7, "0792090": 7, "0640734": 7, "06407305": 7, "05214320": 7, "05214310": 7, "04263821": 7, "04263818": 7, "248": 7, "021": 7, "057": 7, "prove": 7, "procedur": 7, "motiv": 7, "interest": 7, "rid": 7, "uninterest": 7, "greatli": [6, 7], "403": 7, "272": 7, "205": 7, "124": [7, 9], "079": 7, "0641": [7, 9], "0521": 7, "0426": 7, "309": 7, "256": 7, "455": 7, "136": 7, "ill": 7, "invers": 7, "hardwar": 7, "eigenvalu": [7, 9], "cover": [6, 7], "smallest": [7, 9], "inaccur": 7, "cost": 7, "conserv": 7, "trade": 7, "mitig": 7, "leav": [7, 9], "affect": [7, 9], "neglig": 7, "instabl": 7, "unaccept": 7, "among": 7, "unaffect": 7, "0001": 7, "upper": 7, "overridden": 7, "accut": 7, "problemat": 7, "mode": [1, 7, 9], "convent": 7, "094": [7, 9], "varianc": [6, 7], "ysampl": [7, 9], "0092441016": [7, 9], "0068974057": [7, 9], "0051480509": [7, 9], "0038431422": [7, 9], "0028690492": [7, 9], "0092477405": [7, 9], "0069030565": [7, 9], "0051531383": [7, 9], "0038455855": [7, 9], "0028700587": [7, 9], "0092558569": [7, 9], "0069102437": [7, 9], "0051596569": [7, 9], "0038514537": [7, 9], "0028749153": [7, 9], "0092294581": [7, 9], "0068865156": [7, 9], "0051395262": [7, 9], "003835656": [7, 9], "0028630454": [7, 9], "009240534": [7, 9], "0068961523": [7, 9], "0051480046": [7, 9], "0038424661": [7, 9], "0028675632": [7, 9], "terribl": 7, "4e": 7, "10844": 7, "77794": 7, "750": [7, 9], "296452": 7, "badli": 7, "underestim": 7, "vanish": 7, "svd_analysi": 7, "poorli": 7, "svd_diagnosi": 7, "avgdata": 7, "598": [7, 9], "74338": [7, 9], "292480": [7, 9], "0028": [7, 9], "favor": 7, "driver": 7, "9978": 7, "appreci": 7, "outcom": 7, "assumpt": [7, 9], "fitrarg": 7, "ones_lik": 7, "7643": 7, "207": [7, 9], "9834": 7, "4435": 7, "2879": 7, "4817": 7, "1802": 7, "0066": 7, "scenario": 7, "decid": 7, "feel": 7, "133426": 7, "20525": 7, "27491": 7, "32521": 7, "34223": 7, "32394": 7, "27857": 7, "dp": 7, "274": 7, "5904": 7, "530": [1, 7], "688": 7, "133451": 7, "20512": 7, "27509": 7, "32516": 7, "34220": 7, "32392": 7, "27859": 7, "133213": 7, "20245": 7, "26282": 7, "29099": 7, "27589": 7, "22328": 7, "15436": 7, "5911": 7, "8711": 7, "617": 7, "5920": 7, "553": 7, "905": 7, "029": 7, "abus": 7, "6e": 7, "53012": 7, "83211": 7, "68813": 7, "7e": 7, "ridicul": 7, "explain": 7, "choos": 7, "candid": 7, "explor": 7, "vanishingli": 7, "nonsens": 7, "tend": [7, 9], "forc": 7, "impos": 7, "ideal": [7, 9], "decis": 7, "basi": 7, "former": [6, 7], "chosen": 7, "neg": 7, "3431": 7, "020": [7, 9], "252": 7, "012": 7, "2858": [], "2385": [7, 9], "ga": [], "histogram": [6, 9], "014054": [], "010659": [], "skew": [6, 9], "6181": [], "ex_kurt": 9, "5593": [], "median": 9, "011867": [], "014385": [], "008761": [], "yet": 7, "postiv": 7, "compel": [7, 9], "015": 7, "invf": 7, "tanh": 7, "arctanh": 7, "add_parameter_distribut": 7, "lie": 7, "flat": 7, "troubl": 7, "wrap": 7, "emphas": [6, 7], "tripl": 7, "sent": 7, "easier": 7, "special": 7, "refus": 7, "mistak": 7, "unexpectedli": 7, "ranse": 7, "12345": 7, "ranit": 7, "mismatch": 7, "catch": 7, "land": 7, "crazi": 7, "gigant": 7, "1e78": 7, "genuin": 7, "Such": 7, "fix": 7, "nearli": 7, "think": 7, "lock": 7, "1s": [1, 7, 9], "linalg": 7, "det": 7, "upset": 7, "meant": 7, "decim": 7, "Of": [7, 9], "redefin": 7, "own": 7, "rewritten": 7, "slighlti": 7, "succinct": [7, 9], "extra_arg": 8, "least_squar": 8, "trf": 8, "trust": 8, "reflect": 8, "dogbox": [7, 8], "minpack": 8, "x_jac": 8, "tr_solver": 8, "f_scale": 8, "tr_option": 8, "noe": 8, "vicin": 9, "yield": 9, "booststrap": [], "boostrap": [], "nbootstrap": [], "nb": 9, "bstrap": [], "146": [], "9487861077873482": [], "p01": [], "count": 9, "hist": [], "pdfhistogram": [], "pltnum": [], "stat": [1, 6, 9], "subplot": [], "make_plot": [], "967": [], "723": [], "939": [], "662": [], "5164": [], "628": [], "4874": [], "314": 9, "1481": [], "tail": [], "summar": [], "suffic": [], "denomin": [], "quadrat": [6, 9], "insofar": 9, "multipli": 1, "revisit": 9, "niter": [], "pcov": [], "nbayesian": [], "nhistogram": [], "overhead": [], "unneed": [], "001288": [], "001303": [], "001296": [], "001311": [], "001301": [], "001302": [], "001422": [], "001325": [], "001350": [], "001329": [], "001357": [], "001265": [], "001322": [], "001297": [], "0013196": [], "15490": [], "0953": [], "4430": [], "6900": [], "0002303": [], "004469": [], "00791": [], "001280": [], "0966": [], "1595": [], "0268": [], "3213": [], "0269": [], "0316": [], "155": 9, "1514": [], "15496": [], "01607": [], "15446": [], "01586": [], "01510": [], "0955": [], "3262": [], "0883": [], "3203": [], "3102": [], "4414": [], "5886": [], "285": [], "053": [], "4107": [], "597": [], "5438": [], "6706": [], "1848": [], "6657": [], "1924": [], "under": [], "comparison": [], "briefli": [], "subject": 9, "013": 9, "begin": [], "nbin": [], "binwidth": [], "1009": [], "though": [], "mislead": [], "thousand": 9, "integrand": [6, 9], "intrins": [], "mpi": [], "processor": [], "fitp": 9, "draw": 9, "nsfit": 9, "fmt_chi2": 9, "193": 9, "210": 9, "209": 9, "177": 9, "075": 9, "0629": 9, "0538": 9, "0471": 9, "0418": 9, "278": [], "134": [], "192": [], "242": [], "221": 9, "163": [], "187": [], "089": [], "126": [], "130": [], "093": [], "103": [], "073": [], "0599": [], "054": 9, "0508": [], "0441": [], "060": [], "0389": [], "048": [], "201": [], "224": [], "214": [], "162": [], "113": [], "084": [], "085": [], "066": [], "097": [], "0550": 9, "0469": [], "043": [], "0409": [], "031": 9, "0362": [], "709": [], "138": [], "218": [], "240": [], "231": [], "157": [], "070": [], "078": 9, "090": [], "0644": [], "045": [], "0547": [], "0475": [], "059": [], "0420": [], "judg": 9, "convention": 9, "naiv": 9, "compromis": 9, "frequent": 9, "associ": 9, "conspir": 9, "mask": 9, "necessarili": 9, "address": 9, "redo": 9, "noisyfit": 9, "74343": 9, "292485": 9, "0092436": 9, "0092443": 9, "0068987": 9, "0069000": 9, "0051496": 9, "0051502": 9, "0038437": 9, "0038441": 9, "0028689": 9, "0028693": 9, "someth": 9, "signficantli": 9, "pictur": 9, "increasingli": 9, "383": 9, "binari": [4, 7], "wheel": [4, 7], "pip": [4, 7], "command": [4, 7], "config": [4, 7], "path": [4, 7], "cach": [4, 7], "dir": [4, 7], "deprec": [], "0s": [7, 9], "014065": [], "010680": [], "6228": [], "5544": [], "split": 9, "011851": [], "014436": [], "008736": [], "vegas_fit": [5, 9], "vegasarg": 6, "desrib": [], "propto": [], "rac": [], "mathrm": [6, 9], "cdot": [6, 9], "vegas_fit_obj": [], "nonlinear_fit_obj": [], "necessari": [], "tat": [], "vegas_int": 6, "frac": 9, "_y": [6, 9], "n_y": [], "_": [6, 9], "equiv": [6, 9], "overlin": [6, 9], "vfit": [6, 9], "y_i": [6, 9], "x_i": [6, 9], "p_i": [6, 9], "peak": 6, "sharpli": 6, "snippet": 6, "succinctli": 6, "moor": [], "expectaion": [], "adictionari": [], "argment": 6, "inter": 6, "ean": [], "moment": [6, 9], "unnorm": [], "sed": [], "rom": 6, "formal": [], "p_a": [], "sum_": [], "ij": [], "_i": [], "_j": [], "lump": [], "enter": [], "_a": [], "partial_a": [], "_p": [], "partial_b": [], "2_": 6, "2_g": [], "approx": [], "portion": [], "pinpoint": [], "weakli": [], "d_": [], "bj": [], "suppress": [], "immedi": [], "dealt": [], "reconstitut": [], "9570678215059918": 7, "5928698863965194": 7, "148": [], "9206107364801853": [], "735": [], "058": [], "898": [], "768": [], "702": [], "951": [], "694": [], "3503": [], "2357": [], "3046": [], "251": [], "1610": [], "001276": [], "001318": [], "001328": [], "001308": [], "001333": [], "001314": [], "001292": [], "001317": [], "0013154": [], "001316": [], "001366": [], "0013210": [], "0013205": [], "15479": [], "0940": [], "4379": [], "6927": [], "0002335": [], "00455": [], "00811": [], "001355": [], "0985": [], "1638": [], "02829": [], "3316": [], "0306": [], "03164": [], "1522": [], "15481": [], "01613": [], "049": [], "1513": [], "01807": [], "0138": [], "15426": [], "01597": [], "01507": [], "0951": [], "3296": [], "379": 1, "0845": [], "3212": [], "3084": [], "4346": [], "5976": [], "375": [], "145": [], "086": [], "3974": [], "6055": [], "5379": [], "6757": [], "1857": [], "173": [], "5577": [], "2418": [], "0880": [], "6692": [], "1951": [], "416": 9, "170": 9, "171": 9, "227": 9, "101": 9, "028": 9, "087": 9, "0638": 9, "017": 9, "0537": 9, "0464": 9, "034": 9, "0408": 9, "178": 9, "018": 9, "122": 9, "019": 9, "112": 9, "095": 9, "076": 9, "032": 9, "052": 9, "0482": 9, "0429": 9, "305": 9, "144": 9, "225": 9, "183": 9, "123": 9, "047": 9, "0628": 9, "083": 9, "0536": 9, "0467": 9, "0414": 9, "3607": [], "2438": [], "411": [], "3045": [], "1616": [], "langl": [], "rangl": [], "n_": 9, "But": 9, "nvegas_fit": [], "rbatchintegrand": [1, 6, 9], "ndim": 9, "sigma_": [], "p_j": 9, "analog": [], "2ex": [], "5ex": 9, "135": 9, "9380612171518642": [], "ONe": [], "train": [6, 9], "plot_histogram": 9, "660": [], "071": [], "994": [], "675": [], "651": [], "016": [], "656": 9, "674": [], "510": [], "328": [], "062": [], "1516": [], "511": [], "4291": [], "2263": [], "norm": [1, 9], "direct": [6, 9], "dure": 6, "remap": 6, "refin": 6, "lbatchintegrand": 6, "focu": 6, "attent": 6, "blue": 9, "side": 9, "green": 9, "discontinu": 9, "2s": [], "931": [], "696": [], "609": [], "995": [], "663": [], "646": [], "534": 1, "1402": [], "556": [], "4360": [], "451": [], "2281": [], "vegas_mean": 9, "literalinclud": [], "eg3": [], "5c": [], "15388": [], "0773": [], "401": [], "6861": [], "9841": [], "6603": [], "098": [], "679": [], "9754": [], "667": [], "6412": [], "5437": [], "4076": [], "961": [], "1419": [], "5666": [], "0565": [], "4385": [], "4341": [], "2315": [], "15502": [], "4498": [], "6908": [], "match": 9, "vegas_cov": 9, "min": 6, "math": [], "3s": 9, "151": [], "9840": [], "6537": [], "672": [], "639": [], "9751": [], "659": [], "632": [], "5455": [], "4151": [], "064": [], "1369": [], "5767": [], "4396": [], "4495": [], "2387": [], "coordin": 9, "rbatch": [1, 9], "decor": 9, "9912": [], "65371": [], "0684": [], "137": [], "9536": [], "6800": [], "6325": [], "9847": [], "6531": [], "6409": [], "5495": [], "4242": [], "190": [], "11755": [], "5910": [], "04266": [], "43717": [], "4499": [], "23400": [], "wgt": 9, "620": [], "624": [], "621": [], "730": [], "654": 9, "683": [], "562": [], "643": [], "685": [], "837": [], "671": [], "100_000": 9, "gb": 1, "33405e": 1, "467": [], "505": [], "501": [], "519": [], "506": [], "569": [], "518": 1, "537": [], "522": [], "538": [], "514": [], "486": [], "619": 1, "90328484": [], "8219": [], "608": 1, "90695825": [], "pdfev": 6, "pdfevarrai": 6, "pdfevdict": 6, "modpdf": 1, "modpdf_ev": 1, "4000": 1, "els": [], "data_pdf": 1, "breadth": [], "lsqfit_onli": [], "dxmean": [], "dxvar": [], "extent": 1, "6x": [], "9286106972989203": [], "985": [], "741": [], "901": [], "689": [], "969": [], "739": [], "3742": [], "2579": [], "392": [], "3141": [], "290": [], "1681": [], "happen": 9, "829": [], "161": [], "constrain": [], "curvatur": 9, "agaain": [], "spread": 9, "9254622268080159": [], "9286106972989201": [], "9282473295673236": [], "investig": 9, "avg_a": 9, "pdfstatist": 9, "gaussain": [], "013974667685490355": 9, "010333": 9, "86437": 9, "22463": 9, "011050094668754508": 9, "014386": 9, "0069843": 9, "10x": 9, "1599": 9, "152": 9, "similarli": 9, "9839": 9, "6563": 9, "678": 9, "640": 9, "9835": 9, "5473": 9, "4139": 9, "1223": 9, "5922": 9, "0495": 9, "4391": 9, "4505": 9, "2365": 9, "472": [], "525": [], "542": 1, "474": [], "551": [], "527": 1, "559": [], "666": [], "557": [], "588": [], "563": [], "299": 9, "147": 9, "00013": 9, "recalcul": 6, "yvar": 1, "fxp": 1, "y_pdf": 1, "yb_pdf": 1, "anticip": 9, "599": 1, "447": 1, "515": 1, "524": 1, "561": 1, "536": 1, "543": 1, "535": 1, "533": 1, "90215491": 1, "8167": 1, "90853691": 1, "18x": 1, "commensur": 6}, "objects": {"": [[6, 0, 0, "-", "lsqfit"]], "lsqfit": [[6, 1, 1, "", "MultiFitter"], [6, 1, 1, "", "MultiFitterModel"], [6, 4, 1, "", "empbayes_fit"], [4, 1, 1, "", "gsl_multifit"], [4, 1, 1, "", "gsl_multiminex"], [4, 1, 1, "", "gsl_v1_multifit"], [6, 1, 1, "", "nonlinear_fit"], [8, 1, 1, "", "scipy_least_squares"], [8, 1, 1, "", "scipy_multiminex"], [6, 1, 1, "", "vegas_fit"], [6, 4, 1, "", "wavg"]], "lsqfit.MultiFitter": [[6, 2, 1, "", "chained_lsqfit"], [6, 2, 1, "", "empbayes_fit"], [6, 2, 1, "", "flatten_models"], [6, 2, 1, "", "lsqfit"], [6, 2, 1, "", "process_data"], [6, 2, 1, "", "process_dataset"], [6, 2, 1, "", "set"], [6, 2, 1, "", "show_plots"]], "lsqfit.MultiFitterModel": [[6, 2, 1, "", "builddata"], [6, 2, 1, "", "builddataset"], [6, 2, 1, "", "buildprior"], [6, 3, 1, "", "datatag"], [6, 2, 1, "", "fitfcn"], [6, 3, 1, "", "ncg"]], "lsqfit.lsqfit": [[6, 4, 1, "", "gammaQ"]], "lsqfit.nonlinear_fit": [[6, 3, 1, "", "Q"], [6, 2, 1, "", "bootstrapped_fit_iter"], [6, 2, 1, "", "check_roundoff"], [6, 3, 1, "", "chi2"], [6, 3, 1, "", "correction"], [6, 3, 1, "", "cov"], [6, 2, 1, "", "dchi2"], [6, 3, 1, "", "dof"], [6, 3, 1, "", "error"], [6, 3, 1, "", "fitter_results"], [6, 2, 1, "", "format"], [6, 3, 1, "", "logGBF"], [6, 3, 1, "", "nblocks"], [6, 3, 1, "", "p"], [6, 3, 1, "", "p0"], [6, 3, 1, "", "palt"], [6, 2, 1, "", "pdf"], [6, 2, 1, "", "plot_residuals"], [6, 3, 1, "", "pmean"], [6, 3, 1, "", "prior"], [6, 3, 1, "", "psdev"], [6, 2, 1, "", "qqplot_residuals"], [6, 3, 1, "", "residuals"], [6, 2, 1, "", "set"], [6, 2, 1, "", "simulated_data_iter"], [6, 2, 1, "", "simulated_fit_iter"], [6, 3, 1, "", "stopping_criterion"], [6, 3, 1, "", "svdn"], [6, 3, 1, "", "time"], [6, 3, 1, "", "tol"], [6, 3, 1, "", "x"], [6, 3, 1, "", "y"]], "lsqfit.scipy_least_squares": [[8, 3, 1, "", "J"], [8, 3, 1, "", "cov"], [8, 3, 1, "", "description"], [8, 3, 1, "", "error"], [8, 3, 1, "", "f"], [8, 3, 1, "", "nit"], [8, 3, 1, "", "results"], [8, 3, 1, "", "stopping_criterion"], [8, 3, 1, "", "x"]], "lsqfit.scipy_multiminex": [[8, 3, 1, "", "error"], [8, 3, 1, "", "f"], [8, 3, 1, "", "nit"], [8, 3, 1, "", "x"]], "lsqfit.vegas_fit": [[6, 3, 1, "", "Q"], [6, 3, 1, "", "chi2"], [6, 3, 1, "", "correction"], [6, 3, 1, "", "dof"], [6, 2, 1, "", "format"], [6, 3, 1, "", "integrator"], [6, 3, 1, "", "logBF"], [6, 3, 1, "", "nblocks"], [6, 3, 1, "", "p"], [6, 3, 1, "", "palt"], [6, 2, 1, "", "pdf"], [6, 2, 1, "", "plot_residuals"], [6, 3, 1, "", "pmean"], [6, 3, 1, "", "prior"], [6, 3, 1, "", "psdev"], [6, 2, 1, "", "qqplot_residuals"], [6, 3, 1, "", "residuals"], [6, 2, 1, "", "stats"], [6, 3, 1, "", "svdn"], [6, 3, 1, "", "time"], [6, 3, 1, "", "training"], [6, 3, 1, "", "x"], [6, 3, 1, "", "y"]]}, "objtypes": {"0": "py:module", "1": "py:class", "2": "py:method", "3": "py:attribute", "4": "py:function"}, "objnames": {"0": ["py", "module", "Python module"], "1": ["py", "class", "Python class"], "2": ["py", "method", "Python method"], "3": ["py", "attribute", "Python attribute"], "4": ["py", "function", "Python function"]}, "titleterms": {"case": [0, 1, 2, 3], "studi": [0, 1, 2, 3], "simpl": 0, "extrapol": 0, "The": [0, 1, 2, 3], "problem": [0, 1, 2, 3], "A": [0, 1], "bad": 0, "solut": [0, 1], "better": 0, "prior": [0, 7], "bay": [0, 7], "factor": [0, 7], "anoth": 0, "margin": [0, 7], "outlier": 1, "bayesian": [1, 9], "integr": [1, 9], "variat": 1, "numer": 2, "analysi": [2, 9], "insid": 2, "fit": [2, 3, 6, 7, 9], "pendulum": 2, "dynam": 2, "two": 2, "type": 2, "input": 2, "data": [2, 7, 9], "spline": 3, "gsl": 4, "routin": [4, 8], "fitter": [4, 7, 8], "minim": [4, 8], "lsqfit": [5, 6], "document": 5, "indic": 5, "tabl": 5, "nonlinear": 6, "least": 6, "squar": 6, "introduct": [6, 7, 9], "nonlinear_fit": 6, "object": 6, "function": 6, "multifitt": 6, "class": 6, "refer": 6, "requir": 6, "overview": 7, "tutori": 7, "gaussian": [7, 9], "random": 7, "variabl": 7, "error": [7, 9], "propag": 7, "basic": 7, "chain": 7, "larg": 7, "set": 7, "x": 7, "ha": 7, "correl": 7, "paramet": 7, "y": 7, "No": 7, "svd": 7, "cut": 7, "roundoff": 7, "inadequ": 7, "statist": 7, "unknown": 7, "tune": 7, "empir": 7, "criterion": 7, "posit": 7, "non": [7, 9], "faster": 7, "debug": 7, "troubleshoot": 7, "scipi": 8, "behavior": 9, "test": 9, "bootstrap": 9, "output": 9, "simul": 9, "good": 9, "residu": 9, "q": 9, "plot": 9, "default": 7, "vegas_fit": 6, "formal": [], "background": []}, "envversion": {"sphinx.domains.c": 2, "sphinx.domains.changeset": 1, "sphinx.domains.citation": 1, "sphinx.domains.cpp": 6, "sphinx.domains.index": 1, "sphinx.domains.javascript": 2, "sphinx.domains.math": 2, "sphinx.domains.python": 3, "sphinx.domains.rst": 2, "sphinx.domains.std": 2, "sphinx": 56}})